---
page_title: Refresh All Wallets
product: API Reference
page_source: https://juspay.io/in/docs/api-reference/docs/express-checkout/refresh-all-wallets
openapi: https://juspay.io/in/docs/api/swagger?document=https%3A%2F%2Fjuspay.io%2Fin%2Fdocs%2Fapi-reference%2Fdocs%2Fexpress-checkout%2Frefresh-all-wallets
llms_txt: https://juspay.io/in/docs/llms.txt
product_llms_txt: https://juspay.io/in/docs/api-reference/llms.txt
---

## API Version: default


# Refresh All Wallets



The API can be used to fetch the list of all the wallets created against a customer and also provides the balances (wherever applicable).## Endpoints:
- Sandbox: https://sandbox.juspay.in/customers/{customer_id}/wallets/refresh-balances

- Production: https://api.juspay.in/customers/{customer_id}/wallets/refresh-balances

## Request Type: 
GET

## Authorization:

#### Basic Auth:
Consists of two parts.

* Username: API Key obtained from Juspay dashboard
* Password: Empty string

Example:- Basic MUQ2QUxxxxxxxxxxxxU5QTIxQzNFNTQwNkFDMEZCOg==
- Tags: Base64 Encoded Username:Password, Mandatory
## Headers:

#### x-merchantid:
The merchantId/username provided by Juspay
- Tags: string, Required

#### Content-Type:
application/x-www-form-urlencoded
- Tags: string, Required

#### x-routing-id:
We recommend passing the customer_id as the x-routing-id. If the customer is checking out as a guest, you can pass an alternative ID that helps track the payment session lifecycle. For example, this could be an Order ID or Cart ID.

> **Warning**
> This ID is associated with the customer. It plays a key role in ensuring consistency and maintaining connections across different systems. If you fail to pass the same x-routing-id for the same customer in all related API calls, it could lead to issues with API functionality. Therefore, it’s crucial that you use the same x-routing-id for all requests tied to the same customer.


- Value: customer_1122
- Tags: String, Required
## Sample Code Snippets:
### Sample Request:

#### Request Code Snippet:

```request
curl --location --request GET 'https://api.juspay.in/customers/cth_eN4e4kR12CJV/wallets/refresh-balances' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'x-routing-id: customer_1122'\
--header 'Authorization: Basic NTlEQ****QzE1Og=='

```

### Sample Response:

#### Response:
```json
{
  "list": [
      {
          "wallet": "MOBIKWIK",
          "token": "tk_ecbio8b69p8aiojdnap9b8u ",
          "last_refreshed": "2023-09-11T08:29:47Z",
          "juspay_bank_code": "JP_MOBIKWIK",
          "object": "wallet_account",
          "metadata": {
              "mobile_number": "9999999999"
          },
          "id": "wlm_vT890Ngjknnknb89",
          "current_balance": 100,
          "gateway_reference_id": null,
          "sub_details": [
              {
                  "payment_method": "MOBIKWIK",
                  "payment_method_type": "WALLET",
                  "last_refreshed": "2023-09-11T08:29:47Z",
                  "current_balance": 100
              }
          ],
          "linked": true
      },
      {
          "wallet": "PAYTM",
          "token": "tk_csdjcbsd678ovsyfowe9f8nsjdncbs86va",
          "last_refreshed": "2023-09-11T08:29:46Z",
          "juspay_bank_code": "JP_PAYTM",
          "object": "wallet_account",
          "metadata": {
              "device_id": "blUutbvo76578u",
              "mobile_number": "9999999999"
          },
          "id": "wlm_blUutbvo76578u",
          "current_balance": 95,
          "gateway_reference_id": null,
          "sub_details": [
              {
                  "payment_method": "PAYTM_POSTPAID",
                  "payment_method_type": "WALLET",
                  "last_refreshed": "2023-09-11T08:29:46.985Z",
                  "current_balance": 22222
              },
              {
                  "payment_method": "PAYTM",
                  "payment_method_type": "WALLET",
                  "last_refreshed": "2023-09-11T08:29:46Z",
                  "current_balance": 95
              }
          ],
          "linked": true
      }
  ],
  "offset": 0,
  "count": 2,
  "total": 2,
  "object": "list"
}
```

## Path Parameters:

#### customer_id:
Customer Id
- Value: Example:- cth_eN4e4kR12CJV
- Tags: String, Mandatory
## API Responses:
### 200:

#### list:
- Value:
  - **Wallet**:
    - Description: Name of the Wallet Provider
    - Tags: String
  - **Token**:
    - Description: Its a one time use,15min valid token which can be used for initiating the transaction
    - Tags: String
  - **Last_refreshed**:
    - Description: The timestamp when the wallet was last refreshed
    - Tags: String
  - **Juspay_bank_code**:
    - Description: The Juspay provided bank code
    - Tags: String
  - **Object**:
    - Description: It will be **wallet_account**
    - Tags: String
  - **Metadata.mobile_number**:
    - Description: The mobile_number that was passed in the create wallet API.
    - Tags: String
  - **Id**:
    - Description: The unique identifier generated by Juspay for a particular wallet
    - Tags: String
  - **Current_balance**:
    - Description: The balance available in the wallet. Available only for linked wallets.
    - Tags: number
  - **Gateway_reference_id**:
    - Description: The gateway reference id against which the wallet is created
    - Tags: String
  - **Linked**:
    - Description: Its true/false. Indicates whether the wallet is linked or not.
    - Tags: boolean
- Tags: Array of objects

#### offset:
- Tags: integer

#### count:
- Tags: Integer

#### total:
- Tags: Integer

#### object:
- Tags: String
### 400:

#### status:
- Description: Invalid Request
- Tags: string

#### error_code:
- Description: null_error
- Tags: string

#### error_message:
- Description: Customer not found for given customerId.
- Tags: string
### 401:

#### status:
- Description: Invalid Authentication
- Tags: string

#### error_code:
- Description: access_denied
- Tags: string

#### error_message:
- Description: Invalid Authentication
- Tags: string


---

## See Also

- [Eligibility API](https://juspay.io/in/docs/api-reference/docs/express-checkout/eligibility-api)
- [Credit / Debit Card transaction](https://juspay.io/in/docs/api-reference/docs/express-checkout/credit--debit-card-transaction)
